<?php

/**
 * Helper to implementation of hook_content_default_fields().
 */
function _blog_system_content_default_fields() {
  $fields = array();

  // Exported field: field_images
  $fields[] = array(
    'field_name' => 'field_images',
    'type_name' => 'blog',
    'display_settings' => array(
      'weight' => '-2',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'image_plain',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'image_plain',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'filefield',
    'required' => '0',
    'multiple' => '1',
    'module' => 'filefield',
    'active' => '1',
    'list_field' => '0',
    'list_default' => 1,
    'description_field' => '0',
    'widget' => array(
      'file_extensions' => 'png gif jpg jpeg',
      'file_path' => 'blog_images',
      'progress_indicator' => 'bar',
      'max_filesize_per_file' => '',
      'max_filesize_per_node' => '',
      'max_resolution' => '1280x1280',
      'min_resolution' => '0',
      'alt' => '',
      'custom_alt' => 1,
      'title' => '',
      'custom_title' => 1,
      'title_type' => 'textfield',
      'default_image' => NULL,
      'use_default_image' => 0,
      'label' => 'Image(s)',
      'weight' => '-2',
      'description' => 'Upload on or more images. Multiple images will be displayed as a gallery.',
      'type' => 'imagefield_widget',
      'module' => 'imagefield',
    ),
  );

  // Translatables
  array(
    t('Image(s)'),
  );

  return $fields;
}

/**
 * Helper to implementation of hook_imagecache_default_presets().
 */
function _blog_system_imagecache_default_presets() {
  $items = array(
    'blog_image_1' => array(
      'presetname' => 'blog_image_1',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale',
          'data' => array(
            'width' => '200',
            'height' => '300',
            'upscale' => 0,
          ),
        ),
      ),
    ),
    'blog_image_2' => array(
      'presetname' => 'blog_image_2',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '46',
            'height' => '46',
          ),
        ),
      ),
    ),
  );
  return $items;
}

/**
 * Helper to implementation of hook_user_default_permissions().
 */
function _blog_system_user_default_permissions() {
  $permissions = array();

  // Exported permission: create blog content
  $permissions[] = array(
    'name' => 'create blog content',
    'roles' => array(
      '0' => 'blogger',
    ),
  );

  // Exported permission: delete own blog content
  $permissions[] = array(
    'name' => 'delete own blog content',
    'roles' => array(
      '0' => 'blogger',
    ),
  );

  // Exported permission: edit own blog content
  $permissions[] = array(
    'name' => 'edit own blog content',
    'roles' => array(
      '0' => 'blogger',
    ),
  );

  // Exported permission: upload files
  $permissions[] = array(
    'name' => 'upload files',
    'roles' => array(
      '0' => 'blogger',
    ),
  );

  return $permissions;
}
